Index: src/core/xmlrpc/tsp_xmlrpc_server.c
===================================================================
RCS file: /sources/tsp/tsp/src/core/xmlrpc/tsp_xmlrpc_server.c,v
retrieving revision 1.25
diff -u -r1.25 tsp_xmlrpc_server.c
--- src/core/xmlrpc/tsp_xmlrpc_server.c	9 Nov 2007 23:20:41 -0000	1.25
+++ src/core/xmlrpc/tsp_xmlrpc_server.c	3 Feb 2008 19:38:48 -0000
@@ -84,7 +84,7 @@
   TSP_provider_info_t server_info;
 
   server_info.info = strdup(GLU_get_server_name());
-  STRACE_DEBUG(("server_info.info: %s\n",server_info.info));
+  STRACE_DEBUG("server_info.info: %s",server_info.info);
   return xmlrpc_build_value(env, "{s:s}", "info", server_info.info);
 }
 
@@ -296,7 +296,7 @@
   xmlrpc_registry * registry;
   xmlrpc_env env;
 
-  STRACE_DEBUG(("Launched Abyss server"));
+  STRACE_DEBUG("Launched Abyss server");
 
   atexit(clean_exit);
 
@@ -357,9 +357,9 @@
   //TODO: make it configurable
   serverparm.log_file_name = "/dev/stderr";
 
-  STRACE_INFO(("Starting abyss server..."));
+  STRACE_INFO("Starting abyss server...");
   xmlrpc_server_abyss(&env, &serverparm, XMLRPC_APSIZE(log_file_name));
-  STRACE_ERROR(("Abyss server returned"));
+  STRACE_ERROR("Abyss server returned");
   return;
 }
 
Index: src/core/xmlrpc/tsp_xmlrpc_util.c
===================================================================
RCS file: /sources/tsp/tsp/src/core/xmlrpc/tsp_xmlrpc_util.c,v
retrieving revision 1.6
diff -u -r1.6 tsp_xmlrpc_util.c
--- src/core/xmlrpc/tsp_xmlrpc_util.c	20 Feb 2007 21:09:15 -0000	1.6
+++ src/core/xmlrpc/tsp_xmlrpc_util.c	3 Feb 2008 19:38:48 -0000
@@ -1,5 +1,5 @@
 #include "tsp_xmlrpc_util.h"
-#include "tsp_simple_trace.h"
+#include "tsp_common_trace.h"
 
 
 
@@ -221,7 +221,7 @@
   
   die_if_fault_occurred(env);
 
-  STRACE_DEBUG(("Nombre de symboles: %d\n\n", req_sample->symbols.TSP_sample_symbol_info_list_t_len));
+  STRACE_DEBUG("Number of symbols: %d", req_sample->symbols.TSP_sample_symbol_info_list_t_len);
 
 
   req_sample->symbols.TSP_sample_symbol_info_list_t_val = malloc(sizeof(TSP_sample_symbol_info_t)*req_sample->symbols.TSP_sample_symbol_info_list_t_len);
Index: src/core/xmlrpc/tsp_xmlrpc_util.h
===================================================================
RCS file: /sources/tsp/tsp/src/core/xmlrpc/tsp_xmlrpc_util.h,v
retrieving revision 1.3
diff -u -r1.3 tsp_xmlrpc_util.h
--- src/core/xmlrpc/tsp_xmlrpc_util.h	9 Nov 2007 23:20:42 -0000	1.3
+++ src/core/xmlrpc/tsp_xmlrpc_util.h	3 Feb 2008 19:38:48 -0000
@@ -8,8 +8,8 @@
 #define die_if_fault_occurred(x) \
 { \
     if ((x)->fault_occurred) { \
-        STRACE_ERROR(("XML-RPC Fault: %s (%d)\n", \
-					  (x)->fault_string, (x)->fault_code)); \
+        STRACE_ERROR("XML-RPC Fault: %s (%d)", \
+					  (x)->fault_string, (x)->fault_code); \
         exit(1); \
     } \
 }
Index: src/providers/bb_provider/bb_tsp_provider.c
===================================================================
RCS file: /sources/tsp/tsp/src/providers/bb_provider/bb_tsp_provider.c,v
retrieving revision 1.34
diff -u -r1.34 bb_tsp_provider.c
--- src/providers/bb_provider/bb_tsp_provider.c	23 Mar 2007 21:12:53 -0000	1.34
+++ src/providers/bb_provider/bb_tsp_provider.c	3 Feb 2008 19:38:49 -0000
@@ -402,7 +402,7 @@
 		} else  { /* skip unhandled BB type */ 
 			char *n;
 			n = bb_get_varname(&bb_data_desc(shadow_bb)[i]);
-			STRACE_INFO(("Skipping unhandled symbol type <%d> name <%s>",bb_data_desc(shadow_bb)[i].type, n));
+			STRACE_INFO("Skipping unhandled symbol type <%d> name <%s>",bb_data_desc(shadow_bb)[i].type, n);
 			free(n);
 		}
 	} /* loop over bb items */
@@ -446,7 +446,7 @@
   void *sym_value;
   char *n;
 
-  STRACE_INFO(("Starting symbol Valid nb_symbol=%u",symbol_list->TSP_sample_symbol_info_list_t_len));
+  STRACE_INFO("Starting symbol Valid nb_symbol=%u",symbol_list->TSP_sample_symbol_info_list_t_len);
   /* For each requested symbols, check by name, and find the provider global index */
   for (i = 0 ; i < symbol_list->TSP_sample_symbol_info_list_t_len ; i++) {
 
@@ -458,17 +458,17 @@
           n,
           VARNAME_MAX_SIZE,
           array_index, &array_index_len)) {
-      STRACE_INFO  (("%s: cannot parse symname <%s>",
+      STRACE_INFO("%s: cannot parse symname <%s>",
             "BB_GLU_get_pgi",
-            symbol_list->TSP_sample_symbol_info_list_t_val[i].name));
+            symbol_list->TSP_sample_symbol_info_list_t_val[i].name);
       ret = FALSE;
       free(n);
       continue;
     } 	 
     else {
-      STRACE_DEBUG  (("%s: array name <%s> parsed to symname <%s>",
+      STRACE_DEBUG("%s: array name <%s> parsed to symname <%s>",
             "BB_GLU_get_pgi",
-            symbol_list->TSP_sample_symbol_info_list_t_val[i].name, n));
+            symbol_list->TSP_sample_symbol_info_list_t_val[i].name, n);
       /* search if the symbol is published in the blackboard */
       bb_set_varname(&sym_data_desc, n);
       sym_data_desc.type      = E_BB_DISCOVER;
@@ -477,8 +477,8 @@
       sym_value = bb_alias_subscribe(shadow_bb,&sym_data_desc,array_index,array_index_len);    	
 
       if (NULL==sym_value) {
-        STRACE_INFO  (("symbol <%s> not found in BB <%s>",
-              n, shadow_bb->name));
+        STRACE_INFO("symbol <%s> not found in BB <%s>",
+              n, shadow_bb->name);
         pg_indexes[i] = -1;	     
         ret = FALSE;
         free(n);
@@ -488,8 +488,8 @@
         /* find the index of the symbol in the BB */
         bbidx = bb_find(shadow_bb, n);
 
-        STRACE_DEBUG(("Validate symbol: orig_name=<%s>, short=<%s>",
-              symbol_list->TSP_sample_symbol_info_list_t_val[i].name, n));
+        STRACE_DEBUG("Validate symbol: orig_name=<%s>, short=<%s>",
+              symbol_list->TSP_sample_symbol_info_list_t_val[i].name, n);
 
         /* 
          * Array index is in reverse order of aliasstack.
@@ -509,7 +509,7 @@
         if (-1==bbidx) {
           pg_indexes[i] = -1;
           ret=FALSE;
-          STRACE_INFO(("Symbol=%s, not found",symbol_list->TSP_sample_symbol_info_list_t_val[i].name));
+          STRACE_INFO("Symbol=%s, not found",symbol_list->TSP_sample_symbol_info_list_t_val[i].name);
           free(n);
           continue;
         } else {
@@ -523,9 +523,9 @@
             /* validate */
             if ((aliasstack[j].dimension > 1) && (aliasstack[j].dimension < array_index[array_index_ptr])) {
               char *n = bb_get_varname(&aliasstack[j]);
-              STRACE_INFO(("Symbol=%s, found but index=%d out of range for element <%s>",
+              STRACE_INFO("Symbol=%s, found but index=%d out of range for element <%s>",
                     symbol_list->TSP_sample_symbol_info_list_t_val[i].name,
-                    array_index[array_index_ptr], n));
+                    array_index[array_index_ptr], n);
               ret = FALSE;
               free(n);
             }
@@ -578,7 +578,7 @@
             }
 
             pg_indexes[i] = bbindex_to_pgi[bbidx] + pgi_offset;
-            STRACE_INFO(("Symbol=%s, found index=%d",symbol_list->TSP_sample_symbol_info_list_t_val[i].name,pg_indexes[i]));
+            STRACE_INFO("Symbol=%s, found index=%d",symbol_list->TSP_sample_symbol_info_list_t_val[i].name,pg_indexes[i]);
           }
         }
       }
@@ -591,7 +591,7 @@
         &(pg_indexes[i]));
   }
 
-  STRACE_INFO(("End of symbol Valid")); 
+  STRACE_INFO("End of symbol Valid");
 
   return ret;
 } /* BB_GLU_get_pgi */
@@ -680,7 +680,7 @@
 	char   strvalue[256];
 	void*  genuineBBdata;
 	
-	STRACE_INFO(("BB_PROVIDER want to AsyncWrite : pgi <%d> with value : 0x%X (value_size=%d)",provider_global_index, (uint32_t)value_ptr,value_size));
+	STRACE_INFO("BB_PROVIDER want to AsyncWrite : pgi <%d> with value : 0x%X (value_size=%d)",provider_global_index, (uint32_t)value_ptr,value_size);
 	
 	/* FIXME : Should use the pgi to cast properly the data versus the real type */
 	value = *(double*)value_ptr;
@@ -693,7 +693,7 @@
 			char *n;
 	    data_desc = bbdatadesc_by_pgi[provider_global_index];
 			n = bb_get_varname(data_desc);
-	    STRACE_INFO(("About to write on symbol <%s> value <%f> (strvalue=%s)...",n,value,strvalue));	    
+	    STRACE_INFO("About to write on symbol <%s> value <%f> (strvalue=%s)...",n,value,strvalue);
 			free(n);
 	    /* 
 	     * Note that we should write to genuine BB not the shadow ... 
@@ -705,13 +705,13 @@
 	                   (value_by_pgi[provider_global_index] - bb_data(shadow_bb));
 	    retcode = bb_value_direct_write(genuineBBdata,*data_desc,strvalue,0);
 	  } else {
-	    STRACE_INFO(("BB_GLU : pgi = %d is not allowed to be written",provider_global_index));
+	    STRACE_INFO("BB_GLU : pgi = %d is not allowed to be written",provider_global_index);
 	  }
 	} else {
-	  STRACE_INFO(("BB_GLU : pgi = %d is not valid provider_global_index",provider_global_index));	
+	  STRACE_INFO("BB_GLU : pgi = %d is not valid provider_global_index",provider_global_index);
 	}
 	
-	STRACE_DEBUG(("BB_PROVIDER After AsyncWrite : value %f return :%d",*((double*)value_by_pgi[provider_global_index]), retcode));
+	STRACE_DEBUG("BB_PROVIDER After AsyncWrite : value %f return :%d",*((double*)value_by_pgi[provider_global_index]), retcode);
 
 	return retcode;
 } /* end of BB_GLU_async_sample_write */
@@ -723,15 +723,15 @@
 	int retcode = BB_NOK; 
 	void*  genuineBBdata;
 	
-	STRACE_DEBUG(("BB_PROVIDER want to AsyncRead : pgi <%d> (value_size allowed=%d)",provider_global_index,*value_size));
+	STRACE_DEBUG("BB_PROVIDER want to AsyncRead : pgi <%d> (value_size allowed=%d)",provider_global_index,*value_size);
 	
 	/* try to read */
 	if (provider_global_index>=0 && provider_global_index<nbTspSymbols) {
 			char *n;
 	    data_desc = bbdatadesc_by_pgi[provider_global_index];
 			n = bb_get_varname(data_desc);
-	    STRACE_INFO(("About to read from symbol <%s> value...",n));
-			free(n);
+	    STRACE_INFO("About to read from symbol <%s> value...",n);
+	    free(n);
 	    /* 
 	     * Note that we should read from genuine BB not the shadow ... 
 	     * since the shadow may be overwritten immediatly on next update cycle
@@ -743,13 +743,13 @@
 	    
 	    *((double*)value_ptr) = bb_double_of(genuineBBdata,
 						 bbdatadesc_by_pgi[provider_global_index]->type);
-	    STRACE_INFO(("AsyncRead value is <%f>.",*((double*)value_ptr)));
+	    STRACE_INFO("AsyncRead value is <%f>.",*((double*)value_ptr));
 	    retcode = BB_OK;	
 	} else {
-	  STRACE_INFO(("BB_GLU : pgi = %d is not valid provider_global_index",provider_global_index));	
+	  STRACE_INFO("BB_GLU : pgi = %d is not valid provider_global_index",provider_global_index);
 	}
 	
-	STRACE_DEBUG(("BB_PROVIDER After AsyncRead : value %f return :%d",*((double*)value_ptr), retcode));
+	STRACE_DEBUG("BB_PROVIDER After AsyncRead : value %f return :%d",*((double*)value_ptr), retcode);
 
 	return retcode;
 } /* end of BB_GLU_async_sample_read */
Index: src/providers/generic_reader/glu_genreader.c
===================================================================
RCS file: /sources/tsp/tsp/src/providers/generic_reader/glu_genreader.c,v
retrieving revision 1.10
diff -u -r1.10 glu_genreader.c
--- src/providers/generic_reader/glu_genreader.c	29 Mar 2007 20:42:53 -0000	1.10
+++ src/providers/generic_reader/glu_genreader.c	3 Feb 2008 19:38:49 -0000
@@ -99,7 +99,7 @@
       /*end of line no good*/
       if(END_SAMPLE_SET!=rep && item.provider_global_index>=genreader->ssi_list->TSP_sample_symbol_info_list_t_len)
       {
-	STRACE_ERROR(("ERROR: file format is not good (not enough or too much symbol or end of line no good\n"));
+	STRACE_ERROR("file format is not good (not enough or too much symbol or end of line no good");
 	break;
       }
 
Index: src/providers/generic_reader/macsim_fmt.c
===================================================================
RCS file: /sources/tsp/tsp/src/providers/generic_reader/macsim_fmt.c,v
retrieving revision 1.12
diff -u -r1.12 macsim_fmt.c
--- src/providers/generic_reader/macsim_fmt.c	25 Mar 2007 14:17:06 -0000	1.12
+++ src/providers/generic_reader/macsim_fmt.c	3 Feb 2008 19:38:49 -0000
@@ -588,7 +588,7 @@
 
   if(data_var==rep || '\0'!=*rep)
   {
-    STRACE_ERROR(("Error conversion double for <%s>\n",data_var));
+    STRACE_ERROR("Error conversion double for <%s>",data_var);
     return TSP_STATUS_ERROR_UNKNOWN;
   }
 
@@ -607,7 +607,7 @@
 
   if(data_var==rep || '\0'!=*rep)
   {
-    STRACE_ERROR(("Error conversion float\n"));
+    STRACE_ERROR("Error conversion float");
     return TSP_STATUS_ERROR_UNKNOWN;
   }
 
@@ -625,7 +625,7 @@
 
   if(data_var==rep || '\0'!=*rep)
   {
-    STRACE_ERROR(("Error conversion int8\n"));
+    STRACE_ERROR("Error conversion int8");
     return TSP_STATUS_ERROR_UNKNOWN;
   }
 
@@ -644,7 +644,7 @@
 
   if(data_var==rep || '\0'!=*rep)
   {
-    STRACE_ERROR(("Error conversion int16\n"));
+    STRACE_ERROR("Error conversion int16");
     return TSP_STATUS_ERROR_UNKNOWN;
   }
 
@@ -663,7 +663,7 @@
 
   if(data_var==rep || '\0'!=*rep)
   {
-    STRACE_ERROR(("Error conversion int32\n"));
+    STRACE_ERROR("Error conversion int32");
     return TSP_STATUS_ERROR_UNKNOWN;
   }
   return TSP_STATUS_OK;
@@ -681,7 +681,7 @@
 
   if(data_var==rep || '\0'!=*rep)
   {
-    STRACE_ERROR(("Error conversion int64\n"));
+    STRACE_ERROR("Error conversion int64");
     return TSP_STATUS_ERROR_UNKNOWN;
   }
   return TSP_STATUS_OK;
@@ -699,7 +699,7 @@
 
   if(data_var==rep || '\0'!=*rep)
   {
-    STRACE_ERROR(("Error conversion uint8\n"));
+    STRACE_ERROR("Error conversion uint8");
     return TSP_STATUS_ERROR_UNKNOWN;
   }
   return TSP_STATUS_OK;
@@ -717,7 +717,7 @@
 
   if(data_var==rep || '\0'!=*rep)
   {
-    STRACE_ERROR(("Error conversion uint16\n"));
+    STRACE_ERROR("Error conversion uint16");
     return TSP_STATUS_ERROR_UNKNOWN;
   }
   return TSP_STATUS_OK;
@@ -735,7 +735,7 @@
 
   if(data_var==rep || '\0'!=*rep)
   {
-    STRACE_ERROR(("Error conversion uint32\n"));
+    STRACE_ERROR("Error conversion uint32");
     return TSP_STATUS_ERROR_UNKNOWN;
   }
   return TSP_STATUS_OK;
@@ -753,7 +753,7 @@
 
   if(data_var==rep || '\0'!=*rep)
   {
-    STRACE_ERROR(("Error conversion uint64\n"));
+    STRACE_ERROR("Error conversion uint64");
     return TSP_STATUS_ERROR_UNKNOWN;
   }
   return TSP_STATUS_OK;
Index: src/providers/res_reader/glue_res.c
===================================================================
RCS file: /sources/tsp/tsp/src/providers/res_reader/glue_res.c,v
retrieving revision 1.14
diff -u -r1.14 glue_res.c
--- src/providers/res_reader/glue_res.c	23 Apr 2006 22:28:43 -0000	1.14
+++ src/providers/res_reader/glue_res.c	3 Feb 2008 19:38:49 -0000
@@ -90,7 +90,7 @@
     {
       if(d_read_r(obj->h_res, obj->res_values) == EOF)
 	{
-	  STRACE_DEBUG (("EOF for time=%d, val[0]=%g", obj->time_stamp, *((double*)item.raw_value)));
+	  STRACE_DEBUG("EOF for time=%d, val[0]=%g", obj->time_stamp, *((double*)item.raw_value));
 	  if(!_wait_eof)
 	    {
 	      state = GLU_GET_EOF;
@@ -122,7 +122,7 @@
 	      TSP_datapool_push_next_item(res_GLU->datapool,&item);
 
 	      if(i==0)
-		STRACE_INFO (("New record : time=%d, val[0]=%g", obj->time_stamp, *((double*)item.raw_value)));
+		STRACE_INFO("New record : time=%d, val[0]=%g", obj->time_stamp, *((double*)item.raw_value));
 	    }
       
 	}
@@ -161,7 +161,7 @@
       /* FIXME : quand la fonction renvera un code d'erreur, le verifier ! */
       obj->time_stamp = -1;
 
-      STRACE_INFO(("stream_init = '%s'", res_file));
+      STRACE_INFO("stream_init = '%s'", res_file);
       obj->h_res = d_ropen_r(res_file, &(obj->use_dbl));
 	 
       if( obj->h_res )
@@ -169,9 +169,9 @@
 	  obj->nbvar = d_rval_r(obj->h_res, 'v');
 	  nbrec = d_rval_r(obj->h_res, 'r');
 
-	  STRACE_INFO(("Total number of records = %d", nbrec));
-	  STRACE_INFO(("Total number of variables = %d", obj->nbvar));
-	  STRACE_INFO(("Data type = %s", obj->use_dbl ? "DOUBLE" : "FLOAT" ));
+	  STRACE_INFO("Total number of records = %d", nbrec);
+	  STRACE_INFO("Total number of variables = %d", obj->nbvar);
+	  STRACE_INFO("Data type = %s", obj->use_dbl ? "DOUBLE" : "FLOAT");
 
 	  obj->ssiList = TSP_SSIList_new(obj->nbvar+1);
 	  assert(obj->ssiList);
@@ -211,7 +211,7 @@
 	}
       else
 	{
-	  STRACE_ERROR(("Function d_rval_r failed for file : '%s'", res_file));
+	  STRACE_ERROR("Function d_rval_r failed for file : '%s'", res_file);
 	}
 
        if(fallback_argc > GLU_RES_WAIT_EOF)
@@ -221,7 +221,7 @@
     }
   else
     {
-      STRACE_ERROR((GLU_STREAM_INIT_USAGE));
+      STRACE_ERROR(GLU_STREAM_INIT_USAGE);
       ret = FALSE;
     }
 
Index: src/providers/stub/glue_stub.c
===================================================================
RCS file: /sources/tsp/tsp/src/providers/stub/glue_stub.c,v
retrieving revision 1.29
diff -u -r1.29 glue_stub.c
--- src/providers/stub/glue_stub.c	25 Oct 2006 15:00:31 -0000	1.29
+++ src/providers/stub/glue_stub.c	3 Feb 2008 19:38:49 -0000
@@ -165,7 +165,7 @@
 		*((uint8_t*)item.raw_value) = 10; /* (uint8_t)calc_func(index, my_time);*/
 		break;
 	      default:
-		STRACE_ERROR(("Unhandled TSP datatype =%d",X_sample_symbol_info_list_val[index].type));
+		STRACE_ERROR("Unhandled TSP datatype =%d",X_sample_symbol_info_list_val[index].type);
 	 
 	      }
 	      }
@@ -195,12 +195,12 @@
       my_time++;    
       
       /* print out some pseudo time for debug purpose */
-      if (!(my_time%1000))  STRACE_INFO(("TOP %d : %s=%g \t%s=%g \t%s=%g \t%s=%g", my_time,
+      if (!(my_time%1000))  STRACE_INFO("TOP %d : %s=%g \t%s=%g \t%s=%g \t%s=%g", my_time,
 					 X_sample_symbol_info_list_val[0].name, memo_val[0],
 					 X_sample_symbol_info_list_val[1].name, memo_val[1],
 					 X_sample_symbol_info_list_val[2].name, memo_val[2],
 					 X_sample_symbol_info_list_val[3].name, memo_val[3]
-					));
+					);
     }
     
   return cthis;
@@ -482,7 +482,7 @@
 
   /* Store all global indexes into list including NOT FOUND ones */
   for ( i=0 ; i < pgis_len;++i) {    
-    STRACE_DEBUG(("Getting extended info for PGI <%d>",pgis[i]));
+    STRACE_DEBUG("Getting extended info for PGI <%d>",pgis[i]);
     if(-1!=pgis[i]) {
 
       SSEI_list->TSP_sample_symbol_extended_info_list_t_val[i].provider_global_index=pgis[i]; 
Index: src/providers/stub/server_main.c
===================================================================
RCS file: /sources/tsp/tsp/src/providers/stub/server_main.c,v
retrieving revision 1.16
diff -u -r1.16 server_main.c
--- src/providers/stub/server_main.c	30 Nov 2007 15:42:02 -0000	1.16
+++ src/providers/stub/server_main.c	3 Feb 2008 19:38:50 -0000
@@ -105,7 +105,7 @@
   /* intercept SIGINT signal */
   if ( SIG_ERR == signal(SIGINT, intrpt))
   {
-    STRACE_ERROR(("Error initialisation signal intercept function"));
+    STRACE_ERROR("Error initialisation signal intercept function");
     exit(1);
   }
 #else
Index: src/providers/stub/stub_server_rtems.c
===================================================================
RCS file: /sources/tsp/tsp/src/providers/stub/stub_server_rtems.c,v
retrieving revision 1.2
diff -u -r1.2 stub_server_rtems.c
--- src/providers/stub/stub_server_rtems.c	30 Nov 2007 15:42:02 -0000	1.2
+++ src/providers/stub/stub_server_rtems.c	3 Feb 2008 19:38:50 -0000
@@ -107,7 +107,7 @@
   /* intercept SIGINT signal */
   if ( SIG_ERR == signal(SIGINT, intrpt))
   {
-    STRACE_ERROR(("Error initialisation signal intercept function"));
+    STRACE_ERROR("Error initialisation signal intercept function");
     exit(1);
   }
 #else
Index: src/providers/vxstub/glue_stub.c
===================================================================
RCS file: /sources/tsp/tsp/src/providers/vxstub/glue_stub.c,v
retrieving revision 1.6
diff -u -r1.6 glue_stub.c
--- src/providers/vxstub/glue_stub.c	26 Feb 2006 13:36:06 -0000	1.6
+++ src/providers/vxstub/glue_stub.c	3 Feb 2008 19:38:50 -0000
@@ -119,12 +119,12 @@
       TSP_datapool_push_commit(my_time, GLU_GET_NEW_ITEM);
       
 
-      if (!(my_time%1000))  STRACE_INFO(("TOP %d : %s=%g \t%s=%g \t%s=%g \t%s=%g", my_time,
+      if (!(my_time%1000))  STRACE_INFO("TOP %d : %s=%g \t%s=%g \t%s=%g \t%s=%g", my_time,
 					 X_sample_symbol_info_list_val[0].name, memo_val[0],
 					 X_sample_symbol_info_list_val[1].name, memo_val[1],
 					 X_sample_symbol_info_list_val[2].name, memo_val[2],
 					 X_sample_symbol_info_list_val[3].name, memo_val[3]
-					));
+					);
       my_time++;    
     }
     
Index: src/util/libbb/bb_core.c
===================================================================
RCS file: /sources/tsp/tsp/src/util/libbb/bb_core.c,v
retrieving revision 1.47
diff -u -r1.47 bb_core.c
--- src/util/libbb/bb_core.c	6 Nov 2007 08:47:02 -0000	1.47
+++ src/util/libbb/bb_core.c	3 Feb 2008 19:38:50 -0000
@@ -54,7 +54,7 @@
 #include <tsp_abs_types.h>
 #include <tsp_abs_types.h>
 #include <tsp_sys_headers.h>
-#include <tsp_simple_trace.h>
+#include <tsp_common_trace.h>
 
 #endif /* __KERNEL__ */
 
@@ -1579,18 +1579,18 @@
     
   case BB_LOG_ABORT:
   case BB_LOG_SEVERE:
-    STRACE_ERROR(("%s : %s",who,message));
+    STRACE_ERROR("%s : %s",who,message);
     break;
   case BB_LOG_WARNING:
-    STRACE_WARNING(("%s : %s",who,message));
+    STRACE_WARNING("%s : %s",who,message);
     break;
   case BB_LOG_INFO:
   case BB_LOG_CONFIG:
-    STRACE_INFO(("%s : %s",who,message));
+    STRACE_INFO("%s : %s",who,message);
     break;
   case BB_LOG_FINE:
   case BB_LOG_FINER:
-    STRACE_DEBUG(("%s : %s",who,message));
+    STRACE_DEBUG("%s : %s",who,message);
 
   }
   return 0;
Index: src/util/libbb/bb_utils.c
===================================================================
RCS file: /sources/tsp/tsp/src/util/libbb/bb_utils.c,v
retrieving revision 1.16
diff -u -r1.16 bb_utils.c
--- src/util/libbb/bb_utils.c	15 Nov 2007 20:10:19 -0000	1.16
+++ src/util/libbb/bb_utils.c	3 Feb 2008 19:38:50 -0000
@@ -46,7 +46,7 @@
 #include <tsp_sys_headers.h>
 #include <bb_utils.h>
 #include <bb_sha1.h>
-#include "tsp_simple_trace.h"
+#include "tsp_common_trace.h"
 
 char* 
 bb_utils_build_shm_name(const char* shm_name) {
Index: src/util/libbb/bbtools/CMakeLists.txt
===================================================================
RCS file: /sources/tsp/tsp/src/util/libbb/bbtools/CMakeLists.txt,v
retrieving revision 1.4
diff -u -r1.4 CMakeLists.txt
--- src/util/libbb/bbtools/CMakeLists.txt	4 May 2007 15:04:01 -0000	1.4
+++ src/util/libbb/bbtools/CMakeLists.txt	3 Feb 2008 19:38:50 -0000
@@ -22,9 +22,9 @@
 INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR}/src/util/libbb)
 
 ADD_EXECUTABLE(bb_simu ${SIMU_SRC})
-TARGET_LINK_LIBRARIES(bb_simu bb m)
+TARGET_LINK_LIBRARIES(bb_simu bb tsp_common m)
 TSP_PROGRAM_INSTALL(bb_simu)
 
 ADD_EXECUTABLE(bb_tools ${TOOLS_SRC})
-TARGET_LINK_LIBRARIES(bb_tools bb)
+TARGET_LINK_LIBRARIES(bb_tools bb tsp_common)
 TSP_PROGRAM_INSTALL(bb_tools)
Index: src/util/libtspcfg/tspcfg_file.c
===================================================================
RCS file: /sources/tsp/tsp/src/util/libtspcfg/tspcfg_file.c,v
retrieving revision 1.4
diff -u -r1.4 tspcfg_file.c
--- src/util/libtspcfg/tspcfg_file.c	18 Oct 2006 23:44:38 -0000	1.4
+++ src/util/libtspcfg/tspcfg_file.c	3 Feb 2008 19:38:50 -0000
@@ -148,7 +148,7 @@
     if (NULL==tspCfgSampleList->implicit_type)
     {
       retcode = TSP_STATUS_ERROR_MEMORY_ALLOCATION;
-      STRACE_ERROR(("Cannot strdup <%s>",implicit_type));
+      STRACE_ERROR("Cannot strdup <%s>",implicit_type);
     }
  } 
  else
@@ -162,7 +162,7 @@
     if (NULL==tspCfgSampleList->implicit_access)
     {
       retcode = TSP_STATUS_ERROR_MEMORY_ALLOCATION;
-      STRACE_ERROR(("Cannot strdup <%s>",implicit_access));
+      STRACE_ERROR("Cannot strdup <%s>",implicit_access);
     }
  } 
  else
@@ -176,7 +176,7 @@
     if (NULL==tspCfgSampleList->implicit_provider)
     {
       retcode = TSP_STATUS_ERROR_MEMORY_ALLOCATION;
-      STRACE_ERROR(("Cannot strdup <%s>",implicit_provider));
+      STRACE_ERROR("Cannot strdup <%s>",implicit_provider);
     }
  } 
  else
@@ -190,7 +190,7 @@
     if (NULL==tspCfgSampleList->renamed)
     {
       retcode = TSP_STATUS_ERROR_MEMORY_ALLOCATION;
-      STRACE_ERROR(("Cannot strdup <%s>",renamed));
+      STRACE_ERROR("Cannot strdup <%s>",renamed);
     }
  } 
  else
@@ -299,7 +299,7 @@
     if (NULL==provider->name)
     {
       retcode = TSP_STATUS_ERROR_MEMORY_ALLOCATION;
-      STRACE_ERROR(("Cannot strdup <%s>",name));
+      STRACE_ERROR("Cannot strdup <%s>",name);
     }
 
   } 
@@ -322,7 +322,7 @@
     if (NULL==provider->url)
     {
       retcode = TSP_STATUS_ERROR_MEMORY_ALLOCATION;
-      STRACE_ERROR(("Cannot strdup <%s>",url));
+      STRACE_ERROR("Cannot strdup <%s>",url);
     }
   } 
   else
